2002-05-01 Chris Demetriou <cgd@broadcom.com>
[deliverable/binutils-gdb.git] / configure.in
CommitLineData
252b5132
RH
1#! /bin/bash
2##############################################################################
3
4## This file is a shell script fragment that supplies the information
5## necessary to tailor a template configure script into the configure
6## script appropriate for this directory. For more information, check
7## any existing configure script.
8
9## Be warned, there are two types of configure.in files. There are those
10## used by Autoconf, which are macros which are expanded into a configure
11## script by autoconf. The other sort, of which this is one, is executed
12## by Cygnus configure.
13
14## For more information on these two systems, check out the documentation
15## for 'Autoconf' (autoconf.texi) and 'Configure' (configure.texi).
16
75205f78
DD
17# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998,
18# 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
252b5132
RH
19#
20# This file is free software; you can redistribute it and/or modify it
21# under the terms of the GNU General Public License as published by
22# the Free Software Foundation; either version 2 of the License, or
23# (at your option) any later version.
24#
25# This program is distributed in the hope that it will be useful, but
26# WITHOUT ANY WARRANTY; without even the implied warranty of
27# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
28# General Public License for more details.
29#
30# You should have received a copy of the GNU General Public License
31# along with this program; if not, write to the Free Software
32# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
33
34##############################################################################
35
36### To add a new directory to the tree, first choose whether it is a target
37### or a host dependent tool. Then put it into the appropriate list
38### (library or tools, host or target), doing a dependency sort. For
39### example, gdb requires that byacc (or bison) be built first, so it is in
40### the ${host_tools} list after byacc and bison.
41
42
43# these libraries are used by various programs built for the host environment
44#
66f1ba4f 45host_libs="intl mmalloc libiberty opcodes bfd readline db tcl tk tcl8.1 tk8.1 tclX itcl tix libgui zlib"
252b5132 46
2e8357fc
AO
47libstdcxx_version="target-libstdc++-v3"
48# Don't use libstdc++-v3's flags to configure/build itself.
49libstdcxx_flags='`case $$dir in libstdc++-v3 | libjava) ;; *) test ! -f $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags || $(SHELL) $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags --build-includes;; esac` -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src/.libs'
ba73c63f 50
252b5132
RH
51# these tools are built for the host environment
52# Note, the powerpc-eabi build depends on sim occurring before gdb in order to
53# know that we are building the simulator.
75205f78
DD
54host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip fastjar"
55
56# libgcj represents the runtime libraries only used by gcj.
57libgcj="target-libffi \
58 target-boehm-gc \
59 target-zlib \
60 target-qthreads \
61 target-libjava"
252b5132
RH
62
63# these libraries are built for the target environment, and are built after
64# the host libraries and the host tools (which may be a cross compiler)
65#
66target_libs="target-libiberty \
67 target-libgloss \
68 target-newlib \
75205f78 69 target-librx \
ba73c63f
JM
70 ${libstdcxx_version} \
71 target-libf2c \
75205f78 72 ${libgcj}
ba73c63f 73 target-libobjc"
252b5132
RH
74
75# these tools are built using the target libs, and are intended to run only
76# in the target environment
77#
78# note: any program that *uses* libraries that are in the "target_libs"
79# list belongs in this list. those programs are also very likely
80# candidates for the "native_only" list which follows
81#
82target_tools="target-examples target-groff target-gperf"
83
84################################################################################
85
86## These two lists are of directories that are to be removed from the
87## ${configdirs} list for either cross-compilations or for native-
88## compilations. For example, it doesn't make that much sense to
89## cross-compile Emacs, nor is it terribly useful to compile target-libiberty in
90## a native environment.
91
92# directories to be built in the native environment only
93#
94# This must be a single line because of the way it is searched by grep in
95# the code below.
66f1ba4f 96native_only="autoconf automake libtool cvssrc emacs emacs19 fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
252b5132
RH
97
98# directories to be built in a cross environment only
99#
100cross_only="target-libgloss target-newlib target-cygmon target-opcodes target-libstub"
101
102## All tools belong in one of the four categories, and are assigned above
103## We assign ${configdirs} this way to remove all embedded newlines. This
104## is important because configure will choke if they ever get through.
105## ${configdirs} is directories we build using the host tools.
106## ${target_configdirs} is directories we build using the target tools.
107#
108configdirs=`echo ${host_libs} ${host_tools}`
109target_configdirs=`echo ${target_libs} ${target_tools}`
110
111################################################################################
112
113srctrigger=move-if-change
114srcname="gnu development package"
115
116# This gets set non-empty for some net releases of packages.
117appdirs=""
118
119# per-host:
120
121# Work in distributions that contain no compiler tools, like Autoconf.
26eadf68 122tentative_cc=""
a0c4f3a0 123if test -d ${srcdir}/config ; then
252b5132
RH
124case "${host}" in
125 m68k-hp-hpux*)
26eadf68
DD
126 # Avoid "too much defining" errors from HPUX compiler.
127 tentative_cc="cc -Wp,-H256000"
252b5132
RH
128 host_makefile_frag="${host_makefile_frag} config/mh-hp300"
129 ;;
130 m68k-apollo-sysv*)
26eadf68 131 tentative_cc="cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DUSG"
252b5132
RH
132 host_makefile_frag="${host_makefile_frag} config/mh-apollo68"
133 ;;
134 m68k-apollo-bsd*)
26eadf68
DD
135 #None of the Apollo compilers can compile gas or binutils. The preprocessor
136 # chokes on bfd, the compiler won't let you assign integers to enums, and
137 # other problems. Defining CC to gcc is a questionable way to say "don't use
138 # the apollo compiler" (the preferred version of GCC could be called cc,
139 # or whatever), but I'm not sure leaving CC as cc is any better...
140 #CC=cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DNO_STDARG
141 tentative_cc=gcc
252b5132
RH
142 host_makefile_frag="${host_makefile_frag} config/mh-a68bsd"
143 ;;
144 m88k-dg-dgux*)
26eadf68 145 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
252b5132
RH
146 host_makefile_frag="${host_makefile_frag} config/mh-dgux"
147 ;;
148 m88k-harris-cxux*)
26eadf68
DD
149 # Under CX/UX, we want to tell the compiler to use ANSI mode.
150 tentative_cc="cc -Xa"
252b5132
RH
151 host_makefile_frag="${host_makefile_frag} config/mh-cxux"
152 ;;
153 m88k-motorola-sysv*)
154 host_makefile_frag="${host_makefile_frag} config/mh-delta88"
155 ;;
156 mips*-dec-ultrix*)
26eadf68 157 tentative_cc="cc -Wf,-XNg1000"
252b5132
RH
158 host_makefile_frag="${host_makefile_frag} config/mh-decstation"
159 ;;
160 mips*-nec-sysv4*)
26eadf68
DD
161 # The C compiler on NEC MIPS SVR4 needs bigger tables.
162 tentative_cc="cc -ZXNd=5000 -ZXNg=1000"
252b5132
RH
163 host_makefile_frag="${host_makefile_frag} config/mh-necv4"
164 ;;
165 mips*-sgi-irix6*)
166 host_makefile_frag="${host_makefile_frag} config/mh-irix6"
167 ;;
168 mips*-sgi-irix5*)
169 host_makefile_frag="${host_makefile_frag} config/mh-irix5"
170 ;;
171 mips*-sgi-irix4*)
26eadf68
DD
172 # Tell compiler to use K&R C. We can't compile under the SGI Ansi
173 # environment. Also bump switch table size so that cp-parse will
174 # compile. Bump string length limit so linker builds.
175 tentative_cc="cc -cckr -Wf,-XNg1500 -Wf,-XNk1000 -Wf,-XNh2000 -Wf,-XNl8192"
252b5132
RH
176 ;;
177 mips*-sgi-irix3*)
178 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
179 ;;
180 mips*-*-sysv4*)
181 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
182 ;;
183 mips*-*-sysv*)
26eadf68
DD
184 # This is for a MIPS running RISC/os 4.52C.
185
186 # This is needed for GDB, but needs to be in the top-level make because
187 # if a library is compiled with the bsd headers and gets linked with the
188 # sysv system libraries all hell can break loose (e.g. a jmp_buf might be
189 # a different size).
190 # ptrace(2) apparently has problems in the BSD environment. No workaround is
191 # known except to select the sysv environment. Could we use /proc instead?
192 # These "sysv environments" and "bsd environments" often end up being a pain.
193 #
194 # This is not part of CFLAGS because perhaps not all C compilers have this
195 # option.
196 tentative_cc="cc -systype sysv"
252b5132
RH
197 host_makefile_frag="${host_makefile_frag} config/mh-riscos"
198 ;;
ba73c63f 199 i370-ibm-opened*)
26eadf68 200 tentative_cc="c89"
ba73c63f
JM
201 host_makefile_frag="${host_makefile_frag} config/mh-openedition"
202 ;;
252b5132
RH
203 i[3456]86-*-sysv5*)
204 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
205 ;;
206 i[3456]86-*-dgux*)
26eadf68 207 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
252b5132
RH
208 host_makefile_frag="${host_makefile_frag} config/mh-dgux386"
209 ;;
210 i[3456]86-ncr-sysv4.3*)
26eadf68
DD
211 # The MetaWare compiler will generate a copyright message unless you
212 # turn it off by adding the -Hnocopyr flag.
213 tentative_cc="cc -Hnocopyr"
252b5132
RH
214 host_makefile_frag="${host_makefile_frag} config/mh-ncrsvr43"
215 ;;
216 i[3456]86-ncr-sysv4*)
26eadf68
DD
217 # for an NCR 3000 (i486/SVR4) system.
218 # The NCR 3000 ships with a MetaWare compiler installed as /bin/cc.
219 # This compiler not only emits obnoxious copyright messages every time
220 # you run it, but it chokes and dies on a whole bunch of GNU source
221 # files. Default to using the AT&T compiler installed in /usr/ccs/ATT/cc.
222 tentative_cc="/usr/ccs/ATT/cc"
252b5132
RH
223 host_makefile_frag="${host_makefile_frag} config/mh-ncr3000"
224 ;;
225 i[3456]86-*-sco3.2v5*)
226 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
227 ;;
228 i[3456]86-*-sco*)
26eadf68
DD
229 # The native C compiler botches some simple uses of const. Unfortunately,
230 # it doesn't defined anything like "__sco__" for us to test for in ansidecl.h.
231 tentative_cc="cc -Dconst="
252b5132
RH
232 host_makefile_frag="${host_makefile_frag} config/mh-sco"
233 ;;
234 i[3456]86-*-udk*)
235 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
236 ;;
237 i[3456]86-*-isc*)
238 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
239 ;;
240 i[3456]86-*-solaris2*)
241 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
242 ;;
243 i[3456]86-*-aix*)
244 host_makefile_frag="${host_makefile_frag} config/mh-aix386"
245 ;;
246 i[3456]86-*-msdosdjgpp*)
247 host_makefile_frag="${host_makefile_frag} config/mh-djgpp"
248 ;;
249 *-cygwin*)
250 host_makefile_frag="${host_makefile_frag} config/mh-cygwin"
251 ;;
252 *-mingw32*)
253 host_makefile_frag="${host_makefile_frag} config/mh-mingw32"
254 ;;
255 *-interix*)
256 host_makefile_frag="${host_makefile_frag} config/mh-interix"
257 ;;
252b5132 258 vax-*-ultrix2*)
26eadf68
DD
259 # The old BSD pcc isn't up to compiling parts of gdb so use gcc
260 tentative_cc=gcc
252b5132
RH
261 ;;
262 *-*-solaris2*)
263 host_makefile_frag="${host_makefile_frag} config/mh-solaris"
264 ;;
265 m68k-sun-sunos*)
26eadf68
DD
266 # Sun's C compiler needs the -J flag to be able to compile cp-parse.c
267 # without overflowing the jump tables (-J says to use a 32 bit table)
268 tentative_cc="cc -J"
252b5132
RH
269 ;;
270 *-hp-hpux[78]*)
26eadf68 271 tentative_cc="cc -Wp,-H256000"
252b5132
RH
272 host_makefile_frag="${host_makefile_frag} config/mh-hpux8"
273 ;;
274 *-hp-hpux*)
26eadf68 275 tentative_cc="cc -Wp,-H256000"
252b5132
RH
276 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
277 ;;
278 *-*-hiux*)
26eadf68 279 tentative_cc="cc -Wp,-H256000"
252b5132
RH
280 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
281 ;;
282 rs6000-*-lynxos*)
26eadf68
DD
283 # /bin/cc is less than useful for our purposes. Always use GCC
284 tentative_cc="/usr/cygnus/progressive/bin/gcc"
252b5132
RH
285 host_makefile_frag="${host_makefile_frag} config/mh-lynxrs6k"
286 ;;
287 *-*-lynxos*)
26eadf68
DD
288 # /bin/cc is less than useful for our purposes. Always use GCC
289 tentative_cc="/bin/gcc"
252b5132 290 ;;
252b5132
RH
291 *-*-sysv4*)
292 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
293 ;;
294 *-*-sysv*)
295 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
296 ;;
297esac
298fi
299
300# If we aren't going to be using gcc, see if we can extract a definition
301# of CC from the fragment.
26eadf68 302# Actually, use the 'pre-extracted' version above.
a0c4f3a0 303if test -z "${CC}" && test "${build}" = "${host}" ; then
252b5132
RH
304 IFS="${IFS= }"; save_ifs="$IFS"; IFS="${IFS}:"
305 found=
306 for dir in $PATH; do
307 test -z "$dir" && dir=.
308 if test -f $dir/gcc; then
309 found=yes
310 break
311 fi
312 done
313 IFS="$save_ifs"
a0c4f3a0 314 if test -z "${found}" && test -n "${tentative_cc}" ; then
26eadf68 315 CC=$tentative_cc
252b5132
RH
316 fi
317fi
318
319# We default to --with-shared on platforms where -fpic is meaningless.
320# Well, we don't yet, but we will.
a0c4f3a0 321if false && test "${host}" = "${target}" && test x${enable_shared} = x ; then
252b5132
RH
322 case "${target}" in
323 alpha*-dec-osf*) enable_shared=yes ;;
324 alpha*-*-linux*) enable_shared=yes ;;
325 mips-sgi-irix5*) enable_shared=yes ;;
326 *) enable_shared=no ;;
327 esac
328fi
329
75205f78
DD
330# hpux11 in 64bit mode has libraries in a weird place. Arrange to find
331# them automatically.
332case "${host}" in
333 hppa*64*-*-hpux11*)
334 withoptions="$withoptions -x-libraries=/usr/lib/pa20_64 -x-includes=/usr/X11R6/include"
335 ;;
336esac
337
252b5132
RH
338case "${enable_shared}" in
339 yes) shared=yes ;;
340 no) shared=no ;;
341 "") shared=no ;;
342 *) shared=yes ;;
343esac
344
252b5132 345rm -f mh-frag
a0c4f3a0 346if test -n "${host_makefile_frag}" ; then
252b5132
RH
347 for f in ${host_makefile_frag}
348 do
349 cat ${srcdir}/$f >> mh-frag
350 done
351 host_makefile_frag=mh-frag
352fi
353
354# per-target:
355
356case "${target}" in
357 v810*)
358 target_makefile_frag="${target_makefile_frag} config/mt-v810"
359 ;;
360 i[3456]86-*-netware*)
361 target_makefile_frag="${target_makefile_frag} config/mt-netware"
362 ;;
363 powerpc-*-netware*)
364 target_makefile_frag="${target_makefile_frag} config/mt-netware"
365 ;;
75205f78
DD
366 alpha*-*-linux*)
367 target_makefile_frag="${target_makefile_frag} config/mt-linux"
368 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
369 ;;
370 alpha*-*-*)
371 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
372 ;;
373 *-*-linux*)
252b5132
RH
374 target_makefile_frag="${target_makefile_frag} config/mt-linux"
375 ;;
91b2c84d
GK
376 *-*-aix4.[3456789]* | *-*-aix[56789].*)
377 target_makefile_frag="${target_makefile_frag} config/mt-aix43"
378 ;;
2fb651f6
NC
379 mips*-*-pe | sh*-*-pe | *arm-wince-pe)
380 target_makefile_frag="${target_makefile_frag} config/mt-wince"
381 ;;
252b5132
RH
382esac
383
384# If --enable-target-optspace always use -Os instead of -O2 to build
385# the target libraries, similarly if it is not specified, use -Os
386# on selected platforms.
387case "${enable_target_optspace}:${target}" in
388 yes:*)
389 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
390 ;;
252b5132
RH
391 :d30v-*)
392 target_makefile_frag="${target_makefile_frag} config/mt-d30v"
393 ;;
394 :m32r-* | :d10v-* | :fr30-*)
395 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
396 ;;
397 no:* | :*)
398 ;;
399 *)
400 echo "*** bad value \"${enable_target_optspace}\" for --enable-target-optspace flag; ignored" 1>&2
401 ;;
402esac
403
404skipdirs=
405gasdir=gas
406use_gnu_ld=
407use_gnu_as=
408
409# some tools are so dependent upon X11 that if we're not building with X,
410# it's not even worth trying to configure, much less build, that tool.
411
412case ${with_x} in
413 yes | "") # the default value for this tree is that X11 is available
414 ;;
415 no)
66f1ba4f 416 skipdirs="${skipdirs} tk libgui"
252b5132
RH
417 ;;
418 *)
419 echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
420 ;;
421esac
422
423# Some tools are only suitable for building in a "native" situation.
424# Those are added when we have a host==target configuration. For cross
425# toolchains, we add some directories that should only be useful in a
426# cross-compiler.
427
428is_cross_compiler=
429
a0c4f3a0 430if test x"${host}" = x"${target}" ; then
252b5132
RH
431 # when doing a native toolchain, don't build the targets
432 # that are in the 'cross only' list
433 skipdirs="${skipdirs} ${cross_only}"
434 is_cross_compiler=no
435else
436 # similarly, don't build the targets in the 'native only'
437 # list when building a cross compiler
438 skipdirs="${skipdirs} ${native_only}"
439 is_cross_compiler=yes
440fi
441
442# We always want to use the same name for this directory, so that dejagnu
443# can reliably find it.
444target_subdir=${target_alias}
445
a0c4f3a0 446if test ! -d ${target_subdir} ; then
252b5132
RH
447 if mkdir ${target_subdir} ; then true
448 else
449 echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
450 exit 1
451 fi
452fi
453
49b7683b
DD
454build_subdir=${build_alias}
455
a0c4f3a0
DD
456if test x"${build_alias}" != x"${host}" ; then
457 if test ! -d ${build_subdir} ; then
49b7683b
DD
458 if mkdir ${build_subdir} ; then true
459 else
460 echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
461 exit 1
462 fi
463 fi
464fi
465
252b5132
RH
466copy_dirs=
467
468# Handle --with-headers=XXX. The contents of the named directory are
469# copied to $(tooldir)/sys-include.
a0c4f3a0
DD
470if test x"${with_headers}" != x ; then
471 if test x${is_cross_compiler} = xno ; then
252b5132
RH
472 echo 1>&2 '***' --with-headers is only supported when cross compiling
473 exit 1
474 fi
475 case "${exec_prefixoption}" in
476 "") x=${prefix} ;;
477 *) x=${exec_prefix} ;;
478 esac
479 copy_dirs="${copy_dirs} ${with_headers} $x/${target_alias}/sys-include"
480fi
481
482# Handle --with-libs=XXX. Multiple directories are permitted. The
483# contents are copied to $(tooldir)/lib.
a0c4f3a0
DD
484if test x"${with_libs}" != x ; then
485 if test x${is_cross_compiler} = xno ; then
252b5132
RH
486 echo 1>&2 '***' --with-libs is only supported when cross compiling
487 exit 1
488 fi
489 # Copy the libraries in reverse order, so that files in the first named
490 # library override files in subsequent libraries.
491 case "${exec_prefixoption}" in
492 "") x=${prefix} ;;
493 *) x=${exec_prefix} ;;
494 esac
495 for l in ${with_libs}; do
496 copy_dirs="$l $x/${target_alias}/lib ${copy_dirs}"
497 done
498fi
499
500# If both --with-headers and --with-libs are specified, default to
501# --without-newlib.
a0c4f3a0
DD
502if test x"${with_headers}" != x && test x"${with_libs}" != x ; then
503 if test x"${with_newlib}" = x ; then
252b5132
RH
504 with_newlib=no
505 fi
506fi
507
508# Recognize --with-newlib/--without-newlib.
a0c4f3a0 509if test x${with_newlib} = xno ; then
252b5132 510 skipdirs="${skipdirs} target-newlib"
a0c4f3a0 511elif test x${with_newlib} = xyes ; then
252b5132
RH
512 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
513fi
514
515# Default to using --with-stabs for certain targets.
a0c4f3a0 516if test x${with_stabs} = x ; then
252b5132
RH
517 case "${target}" in
518 mips*-*-irix6*)
519 ;;
520 mips*-*-* | alpha*-*-osf*)
521 with_stabs=yes;
522 withoptions="${withoptions} --with-stabs"
523 ;;
524 esac
525fi
526
527# Handle ${copy_dirs}
528set fnord ${copy_dirs}
529shift
a0c4f3a0
DD
530while test $# != 0 ; do
531 if test -f $2/COPIED && test x"`cat $2/COPIED`" = x"$1" ; then
252b5132
RH
532 :
533 else
534 echo Copying $1 to $2
535
536 # Use the install script to create the directory and all required
537 # parent directories.
a0c4f3a0 538 if test -d $2 ; then
252b5132
RH
539 :
540 else
541 echo >config.temp
542 ${srcdir}/install-sh -c -m 644 config.temp $2/COPIED
543 fi
544
545 # Copy the directory, assuming we have tar.
546 # FIXME: Should we use B in the second tar? Not all systems support it.
547 (cd $1; tar -cf - .) | (cd $2; tar -xpf -)
548
549 # It is the responsibility of the user to correctly adjust all
550 # symlinks. If somebody can figure out how to handle them correctly
551 # here, feel free to add the code.
552
553 echo $1 > $2/COPIED
554 fi
555 shift; shift
556done
557
558# Configure extra directories which are host specific
559
560case "${host}" in
561 i[3456]86-*-go32*)
562 configdirs="$configdirs dosrel" ;;
563 i[3456]86-*-mingw32*)
564 configdirs="$configdirs dosrel" ;;
565 *-cygwin*)
566 configdirs="$configdirs libtermcap dosrel" ;;
567esac
568
569# Remove more programs from consideration, based on the host or
570# target this usually means that a port of the program doesn't
571# exist yet.
572
573noconfigdirs=""
574
575case "${host}" in
75205f78
DD
576 hppa*64*-*-*)
577 noconfigdirs="$noconfigdirs byacc"
578 ;;
252b5132
RH
579 i[3456]86-*-vsta)
580 noconfigdirs="tcl expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv gettext"
581 ;;
582 i[3456]86-*-go32* | i[3456]86-*-msdosdjgpp*)
75205f78 583 noconfigdirs="tcl tk expect dejagnu send-pr uudecode guile apache inet itcl tix db snavigator gnuserv libffi"
252b5132
RH
584 ;;
585 i[3456]86-*-mingw32*)
586 # noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv"
dc8bc5a6 587 noconfigdirs="expect dejagnu cvs autoconf automake send-pr rcs guile perl texinfo apache inet libtool"
252b5132
RH
588 ;;
589 i[3456]86-*-beos*)
590 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb"
591 ;;
592 *-*-cygwin*)
8d6dd99d 593 noconfigdirs="autoconf automake send-pr rcs guile perl apache inet"
252b5132
RH
594 ;;
595 *-*-netbsd*)
596 noconfigdirs="rcs"
597 ;;
598 ppc*-*-pe)
599 noconfigdirs="patch diff make tk tcl expect dejagnu cvssrc autoconf automake texinfo bison send-pr gprof rcs guile perl apache inet itcl tix db snavigator gnuserv"
600 ;;
ba73c63f
JM
601 powerpc-*-beos*)
602 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb dejagnu readline"
603 ;;
252b5132
RH
604esac
605
96111c10
AO
606# Save it here so that, even in case of --enable-libgcj, if the Java
607# front-end isn't enabled, we still get libgcj disabled.
608libgcj_saved=$libgcj
609case $enable_libgcj in
610yes)
611 # If we reset it here, it won't get added to noconfigdirs in the
612 # target-specific build rules, so it will be forcibly enabled
613 # (unless the Java language itself isn't enabled).
614 libgcj=
615 ;;
616no)
617 # Make sure we get it printed in the list of not supported target libs.
618 noconfigdirs="$noconfigdirs ${libgcj}"
619 ;;
620esac
621
252b5132 622case "${target}" in
75205f78
DD
623 *-*-chorusos)
624 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
625 ;;
ffb97b2f
DD
626 *-*-freebsd[12] | *-*-freebsd[12].* | *-*-freebsd*aout*)
627 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
628 ;;
e82380cc
JT
629 *-*-netbsd*)
630 # Skip some stuff on all NetBSD configurations.
631 skipdirs="$skipdirs target-newlib target-libiberty target-libgloss"
632
633 # Skip some stuff that's unsupported on some NetBSD configurations.
634 case "${target}" in
75205f78 635 i*86-*-netbsdelf*) ;;
e82380cc 636 *)
75205f78 637 noconfigdirs="$noconfigdirs ${libgcj}"
e82380cc
JT
638 ;;
639 esac
640 ;;
252b5132 641 *-*-netware)
75205f78 642 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-newlib target-libiberty target-libgloss ${libgcj}"
252b5132
RH
643 ;;
644 *-*-rtems*)
75205f78 645 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
d5ec694c
DD
646 case ${target} in
647 h8300*-*-* | h8500-*-*)
648 noconfigdirs="$noconfigdirs target-libf2c"
649 ;;
650 *) ;;
651 esac
252b5132
RH
652 ;;
653 *-*-vxworks*)
75205f78 654 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
252b5132
RH
655 ;;
656 alpha*-dec-osf*)
657 # ld works, but does not support shared libraries. emacs doesn't
658 # work. newlib is not 64 bit ready. I'm not sure about fileutils.
659 # gas doesn't generate exception information.
660 noconfigdirs="$noconfigdirs gas ld emacs fileutils target-newlib target-libgloss"
661 ;;
662 alpha*-*-*vms*)
75205f78
DD
663 noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss ${libgcj}"
664 ;;
665 alpha*-*-linux*)
666 # newlib is not 64 bit ready
667 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
668 # linux has rx in libc
669 skipdirs="$skipdirs target-librx"
252b5132 670 ;;
ffb97b2f
DD
671 alpha*-*-freebsd*)
672 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
673 ;;
252b5132
RH
674 alpha*-*-*)
675 # newlib is not 64 bit ready
75205f78 676 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
252b5132 677 ;;
75205f78
DD
678 sh-*-linux*)
679 noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
680 # linux has rx in libc
681 skipdirs="$skipdirs target-librx"
682 ;;
2fb651f6 683 sh*-*-pe|mips*-*-pe|*arm-wince-pe)
75205f78
DD
684 noconfigdirs="$noconfigdirs ${libgcj}"
685 noconfigdirs="$noconfigdirs target-examples"
ba73c63f 686 noconfigdirs="$noconfigdirs target-libiberty texinfo send-pr"
2fb651f6
NC
687 noconfigdirs="$noconfigdirs tcl tix tk itcl libgui sim"
688 noconfigdirs="$noconfigdirs expect dejagnu"
689 # the C++ libraries don't build on top of CE's C libraries
ba73c63f 690 noconfigdirs="$noconfigdirs ${libstdcxx_version}"
2fb651f6
NC
691 skipdirs="$skipdirs target-newlib"
692 case "${host}" in
693 *-*-cygwin*) ;; # keep gdb and readline
ba73c63f 694 *) noconfigdirs="$noconfigdirs gdb readline ${libstdcxx_version}"
2fb651f6
NC
695 ;;
696 esac
697 ;;
252b5132 698 arc-*-*)
75205f78 699 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
700 ;;
701 arm-*-pe*)
75205f78 702 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 703 ;;
252b5132 704 arm-*-oabi*)
75205f78 705 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 706 ;;
252b5132 707 thumb-*-coff)
75205f78 708 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 709 ;;
252b5132 710 thumb-*-elf)
75205f78 711 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
712 ;;
713 thumb-*-oabi)
75205f78 714 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 715 ;;
252b5132 716 strongarm-*-elf)
75205f78 717 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
718 ;;
719 strongarm-*-coff)
75205f78 720 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132 721 ;;
077b8428 722 xscale-*-elf)
75205f78 723 noconfigdirs="$noconfigdirs target-libffi target-qthreads"
077b8428
NC
724 ;;
725 xscale-*-coff)
75205f78 726 noconfigdirs="$noconfigdirs ${libgcj}"
077b8428 727 ;;
347dad9e 728 thumb-*-pe)
75205f78 729 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
730 ;;
731 arm-*-riscix*)
75205f78 732 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
252b5132 733 ;;
077b8428 734 c4x-*-*)
75205f78 735 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
077b8428
NC
736 ;;
737 c54x*-*-* | tic54x-*-*)
75205f78
DD
738 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj} gcc gdb newlib"
739 ;;
740 cris-*-*)
741 noconfigdirs="$noconfigdirs ${libgcj}"
077b8428 742 ;;
252b5132 743 d10v-*-*)
75205f78 744 noconfigdirs="$noconfigdirs target-librx ${libstdcxx_version} target-libgloss ${libgcj}"
252b5132 745 ;;
252b5132 746 d30v-*-*)
75205f78 747 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132 748 ;;
252b5132 749 fr30-*-elf*)
75205f78 750 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 751 if test x${is_cross_compiler} != xno ; then
252b5132
RH
752 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
753 fi
754 ;;
dd1e52a4
JH
755 h8300*-*-*)
756 noconfigdirs="$noconfigdirs target-libgloss"
757 ;;
252b5132 758 h8500-*-*)
75205f78
DD
759 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj} target-libf2c"
760 ;;
761 hppa*64*-*-linux* | parisc*64*-*-linux*)
762 # In this case, it's because the hppa64-linux target is for
763 # the kernel only at this point and has no libc, and thus no
764 # headers, crt*.o, etc., all of which are needed by these.
765 noconfigdirs="$noconfigdirs target-zlib"
252b5132
RH
766 ;;
767 hppa*-*-*elf* | \
75205f78 768 parisc*-*-linux* | hppa*-*-linux* | \
09e90eb4
JL
769 hppa*-*-lites* | \
770 hppa*64*-*-*)
75205f78 771 noconfigdirs="$noconfigdirs ${libgcj}"
ba73c63f 772 # Do configure ld/binutils/gas for this case.
252b5132
RH
773 ;;
774 hppa*-*-*)
775 # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
776 # cc is gcc, and on any system a user should be able to link cc to
777 # whatever they want. FIXME, emacs emacs19).
778 case "${CC}" in
779 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
780 *) ;;
781 esac
b3ed1d6b
AO
782 # According to Alexandre Oliva <aoliva@redhat.com>, libjava won't
783 # build on HP-UX 10.20.
784 noconfigdirs="$noconfigdirs ld shellutils ${libgcj}"
252b5132 785 ;;
2315914d
JW
786 ia64*-*-elf*)
787 # No gdb support yet.
788 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb"
789 ;;
a0c1c920
NC
790 ia64*-**-hpux*)
791 # No gdb or ld support yet.
792 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb ld"
793 ;;
252b5132 794 i[3456]86-*-coff | i[3456]86-*-elf)
75205f78 795 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 796 if test x${is_cross_compiler} != xno ; then
252b5132
RH
797 target_configdirs="${target_configdirs} target-libstub target-cygmon"
798 fi
799 ;;
ffb97b2f
DD
800 i[34567]86-*-freebsd*)
801 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
802 ;;
d5ec694c
DD
803 s390*-*-linux*)
804 # The libffi port is not yet in the GCC tree
805 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
806 # linux has rx in libc
807 skipdirs="$skipdirs target-librx"
808 ;;
75205f78
DD
809 *-*-linux*)
810 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
811 # linux has rx in libc
812 skipdirs="$skipdirs target-librx"
252b5132 813 ;;
252b5132
RH
814 i[3456]86-*-mingw32*)
815 target_configdirs="$target_configdirs target-mingw"
b1af961c 816 noconfigdirs="$noconfigdirs expect target-libgloss ${libgcj}"
252b5132
RH
817
818 # Can't build gdb for mingw32 if not native.
819 case "${host}" in
820 i[3456]86-*-mingw32) ;; # keep gdb tcl tk expect etc.
821 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix db snavigator gnuserv"
822 ;;
823 esac
824 ;;
825 *-*-cygwin*)
826 target_configdirs="$target_configdirs target-libtermcap target-winsup"
b1af961c 827 noconfigdirs="$noconfigdirs target-gperf target-libgloss ${libgcj}"
252b5132
RH
828 # always build newlib.
829 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
830
831 # Can't build gdb for Cygwin if not native.
832 case "${host}" in
833 *-*-cygwin*) ;; # keep gdb tcl tk expect etc.
834 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix libgui db snavigator gnuserv"
835 ;;
836 esac
837 ;;
838 i[3456]86-*-pe)
75205f78 839 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
252b5132
RH
840 ;;
841 i[3456]86-*-sco3.2v5*)
842 # The linker does not yet know about weak symbols in COFF,
843 # and is not configured to handle mixed ELF and COFF.
75205f78 844 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
252b5132
RH
845 ;;
846 i[3456]86-*-sco*)
75205f78 847 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
252b5132
RH
848 ;;
849 i[3456]86-*-solaris2*)
850 noconfigdirs="$noconfigdirs target-libgloss"
851 ;;
852 i[3456]86-*-sysv4*)
853 # The SYSV4 C compiler doesn't handle Emacs correctly
854 case "${CC}" in
855 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
856 *) ;;
857 esac
858 # but that's okay since emacs doesn't work anyway
75205f78 859 noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss ${libgcj}"
252b5132
RH
860 ;;
861 i[3456]86-*-beos*)
b1af961c 862 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
252b5132 863 ;;
75205f78
DD
864 m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*)
865 noconfigdirs="$noconfigdirs target-libiberty ${libstdcxx_version} ${libgcj}"
f9e0997d 866 ;;
75205f78
DD
867 m68k-*-elf*)
868 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 869 if test x${is_cross_compiler} != xno ; then
252b5132
RH
870 target_configdirs="${target_configdirs} target-bsp target-cygmon"
871 fi
872 ;;
873 m68k-*-coff*)
75205f78 874 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 875 if test x${is_cross_compiler} != xno ; then
252b5132
RH
876 target_configdirs="${target_configdirs} target-bsp target-cygmon"
877 fi
878 ;;
75205f78
DD
879 mcore-*-pe*)
880 # The EPOC C++ environment does not support exceptions or rtti,
881 # and so building libstdc++-v3 tends not to always work.
882 noconfigdirs="$noconfigdirs target-libstdc++-v3"
883 ;;
884 mmix-*-*)
885 noconfigdirs="$noconfigdirs ${libgcj}"
886 ;;
252b5132 887 mn10200-*-*)
75205f78 888 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 889 if test x${is_cross_compiler} != xno ; then
252b5132
RH
890 target_configdirs="${target_configdirs} target-libstub target-cygmon"
891 fi
892 ;;
893 mn10300-*-*)
75205f78 894 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 895 if test x${is_cross_compiler} != xno ; then
252b5132
RH
896 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
897 fi
898 ;;
899 powerpc-*-aix*)
900 # copied from rs6000-*-* entry
75205f78 901 noconfigdirs="$noconfigdirs gprof cvssrc target-libgloss ${libgcj}"
11a383ba 902 use_gnu_ld=yes
252b5132
RH
903 ;;
904 powerpc*-*-winnt* | powerpc*-*-pe* | ppc*-*-pe)
905 target_configdirs="$target_configdirs target-winsup"
75205f78 906 noconfigdirs="$noconfigdirs gdb tcl tk make expect target-libgloss itcl tix db snavigator gnuserv ${libgcj}"
252b5132
RH
907 # always build newlib.
908 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
909 ;;
910 # This is temporary until we can link against shared libraries
911 powerpcle-*-solaris*)
75205f78 912 noconfigdirs="$noconfigdirs gdb sim make tcl tk expect itcl tix db snavigator gnuserv ${libgcj}"
ba73c63f
JM
913 ;;
914 powerpc-*-beos*)
75205f78 915 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
252b5132
RH
916 ;;
917 powerpc-*-eabi)
75205f78 918 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 919 if test x${is_cross_compiler} != xno ; then
252b5132
RH
920 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
921 fi
922 ;;
923 rs6000-*-lynxos*)
924 # The CVS server code doesn't work on the RS/6000
75205f78 925 noconfigdirs="$noconfigdirs target-newlib gprof cvssrc ${libgcj}"
252b5132
RH
926 ;;
927 rs6000-*-aix*)
75205f78 928 noconfigdirs="$noconfigdirs gprof ${libgcj}"
11a383ba 929 use_gnu_ld=yes
252b5132
RH
930 ;;
931 rs6000-*-*)
75205f78 932 noconfigdirs="$noconfigdirs gprof ${libgcj}"
252b5132
RH
933 ;;
934 m68k-apollo-*)
75205f78 935 noconfigdirs="$noconfigdirs ld binutils gprof target-libgloss ${libgcj}"
252b5132
RH
936 ;;
937 mips*-*-irix5*)
938 # The GNU linker does not support shared libraries.
939 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
75205f78 940 noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss ${libgcj}"
252b5132
RH
941 ;;
942 mips*-*-irix6*)
106117aa 943 # The GNU assembler does not support IRIX 6.
252b5132 944 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
b3ed1d6b
AO
945 # Linking libjava exceeds command-line length limits on at least
946 # IRIX 6.2, but not on IRIX 6.5.
947 # Also, boehm-gc won't build on IRIX 6.5, according to Jeffrey Oldham
948 # <oldham@codesourcery.com>
949 noconfigdirs="$noconfigdirs gas gprof emacs target-libgloss ${libgcj}"
252b5132
RH
950 ;;
951 mips*-dec-bsd*)
75205f78 952 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
252b5132
RH
953 ;;
954 mips*-*-bsd*)
75205f78 955 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
252b5132
RH
956 ;;
957 mipstx39-*-*)
75205f78 958 noconfigdirs="$noconfigdirs gprof ${libgcj}" # same as generic mips
252b5132
RH
959 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
960 ;;
fad93c55
L
961 mips*-*-linux*)
962 noconfigdirs="$noconfigdirs target-libffi"
963 ;;
252b5132 964 mips*-*-*)
75205f78 965 noconfigdirs="$noconfigdirs gprof ${libgcj}"
252b5132
RH
966 ;;
967 romp-*-*)
75205f78 968 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
252b5132
RH
969 ;;
970 sh-*-*)
971 case "${host}" in
972 i[3456]86-*-vsta) ;; # don't add gprof back in
973 i[3456]86-*-go32*) ;; # don't add gprof back in
974 i[3456]86-*-msdosdjgpp*) ;; # don't add gprof back in
975 *) skipdirs=`echo " ${skipdirs} " | sed -e 's/ gprof / /'` ;;
976 esac
75205f78 977 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 978 ;;
20a5393b
AO
979 sh64-*-*)
980 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
981 ;;
252b5132 982 sparc-*-elf*)
a0c4f3a0 983 if test x${is_cross_compiler} != xno ; then
252b5132
RH
984 target_configdirs="${target_configdirs} target-libstub target-cygmon"
985 fi
d5ec694c 986 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
987 ;;
988 sparc64-*-elf*)
a0c4f3a0 989 if test x${is_cross_compiler} != xno ; then
252b5132
RH
990 target_configdirs="${target_configdirs} target-libstub target-cygmon"
991 fi
d5ec694c 992 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
993 ;;
994 sparclite-*-*)
a0c4f3a0 995 if test x${is_cross_compiler} != xno ; then
252b5132
RH
996 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
997 fi
75205f78 998 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132
RH
999 ;;
1000 sparc-*-sunos4*)
75205f78 1001 noconfigdirs="$noconfigdirs ${libgcj}"
a0c4f3a0 1002 if test x${is_cross_compiler} != xno ; then
252b5132
RH
1003 noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
1004 else
1005 use_gnu_ld=no
1006 fi
1007 ;;
b3ed1d6b 1008 sparc-*-solaris*)
b3ed1d6b 1009 ;;
252b5132 1010 v810-*-*)
75205f78 1011 noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld ${libstdcxx_version} opcodes target-libgloss ${libgcj}"
252b5132
RH
1012 ;;
1013 v850-*-*)
75205f78 1014 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132 1015 ;;
347dad9e 1016 v850e-*-*)
75205f78 1017 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
252b5132
RH
1018 ;;
1019 v850ea-*-*)
75205f78 1020 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
347dad9e 1021 ;;
252b5132 1022 vax-*-vms)
75205f78 1023 noconfigdirs="$noconfigdirs bfd binutils gdb ld target-newlib opcodes target-libgloss ${libgcj}"
252b5132
RH
1024 ;;
1025 vax-*-*)
75205f78 1026 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
96ce09a7 1027 ;;
252b5132 1028 *-*-lynxos*)
75205f78 1029 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
252b5132
RH
1030 ;;
1031 *-*-macos* | \
1032 *-*-mpw*)
1033 # Macs want a resource compiler.
1034 configdirs="$configdirs grez"
75205f78 1035 noconfigdirs="$noconfigdirs ${libgcj}"
252b5132 1036 ;;
75205f78
DD
1037 *-*-*)
1038 noconfigdirs="$noconfigdirs ${libgcj}"
1039 ;;
252b5132
RH
1040esac
1041
1042# If we aren't building newlib, then don't build libgloss, since libgloss
1043# depends upon some newlib header files.
1044case "${noconfigdirs}" in
1045 *target-libgloss*) ;;
1046 *target-newlib*) noconfigdirs="$noconfigdirs target-libgloss" ;;
1047esac
1048
1049# Make sure we don't let GNU ld be added if we didn't want it.
a0c4f3a0 1050if test x$with_gnu_ld = xno ; then
252b5132
RH
1051 use_gnu_ld=no
1052 noconfigdirs="$noconfigdirs ld"
1053fi
1054
1055# Make sure we don't let GNU as be added if we didn't want it.
a0c4f3a0 1056if test x$with_gnu_as = xno ; then
252b5132
RH
1057 use_gnu_as=no
1058 noconfigdirs="$noconfigdirs gas"
1059fi
1060
6ee6cea6
AO
1061# Figure out what language subdirectories are present.
1062# Look if the user specified --enable-languages="..."; if not, use
1063# the environment variable $LANGUAGES if defined. $LANGUAGES might
1064# go away some day.
922b2485 1065# NB: embedded tabs in this IF block -- do not untabify
6ee6cea6
AO
1066if test x"${enable_languages+set}" != xset; then
1067 if test x"${LANGUAGES+set}" = xset; then
922b2485
DD
1068 enable_languages="${LANGUAGES}"
1069 echo configure.in: warning: setting LANGUAGES is deprecated, use --enable-languages instead 1>&2
6ee6cea6
AO
1070 else
1071 enable_languages=all
1072 fi
1073else
922b2485
DD
1074 if test x"${enable_languages}" = x ||
1075 test x"${enable_languages}" = xyes;
1076 then
1077 echo configure.in: --enable-languages needs at least one language argument 1>&2
6ee6cea6
AO
1078 exit 1
1079 fi
1080fi
922b2485
DD
1081enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
1082
75205f78
DD
1083# First scan to see if an enabled language requires some other language.
1084# We assume that a given config-lang.in will list all the language
1085# front ends it requires, even if some are required indirectly.
1086for lang in ${srcdir}/gcc/*/config-lang.in ..
1087do
1088 case $lang in
1089 ..)
1090 ;;
1091 # The odd quoting in the next line works around
1092 # an apparent bug in bash 1.12 on linux.
1093 ${srcdir}/gcc/[*]/config-lang.in)
1094 ;;
1095 *)
1096 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1097 this_lang_requires=`sed -n -e 's,^lang_requires=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_requires=\([^ ]*\).*$,\1,p' $lang`
1098 for other in $this_lang_requires
1099 do
1100 case ,${enable_languages}, in
1101 *,$other,*)
1102 ;;
1103 *,all,*)
1104 ;;
1105 *,$lang_alias,*)
1106 echo " \`$other' language required by \`$lang_alias'; enabling" 1>&2
1107 enable_languages="$enable_languages,$other"
1108 ;;
1109 esac
1110 done
1111 ;;
1112 esac
1113done
1114
6ee6cea6
AO
1115subdirs=
1116for lang in ${srcdir}/gcc/*/config-lang.in ..
1117do
1118 case $lang in
1119 ..) ;;
1120 # The odd quoting in the next line works around
1121 # an apparent bug in bash 1.12 on linux.
1122 ${srcdir}/gcc/[*]/config-lang.in) ;;
1123 *)
1124 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1125 this_lang_libs=`sed -n -e 's,^target_libs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^target_libs=\([^ ]*\).*$,\1,p' $lang`
75205f78 1126 this_lang_dirs=`sed -n -e 's,^lang_dirs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_dirs=\([^ ]*\).*$,\1,p' $lang`
6ee6cea6
AO
1127 build_by_default=`sed -n -e 's,^build_by_default=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^build_by_default=\([^ ]*\).*$,\1,p' $lang`
1128 if test "x$lang_alias" = x
1129 then
1130 echo "$lang doesn't set \$language." 1>&2
1131 exit 1
1132 fi
1133 case ${build_by_default},${enable_languages}, in
1134 *,$lang_alias,*) add_this_lang=yes ;;
1135 no,*) add_this_lang=no ;;
1136 *,all,*) add_this_lang=yes ;;
1137 *) add_this_lang=no ;;
1138 esac
1139 if test x"${add_this_lang}" = xyes; then
1140 eval target_libs='"$target_libs "'\"$this_lang_libs\"
1141 else
75205f78 1142 eval noconfigdirs='"$noconfigdirs "'\"$this_lang_libs $this_lang_dirs\"
6ee6cea6
AO
1143 fi
1144 ;;
1145 esac
1146done
1147
252b5132
RH
1148# Remove the entries in $skipdirs and $noconfigdirs from $configdirs and
1149# $target_configdirs.
1150# If we have the source for $noconfigdirs entries, add them to $notsupp.
1151
1152notsupp=""
1153for dir in . $skipdirs $noconfigdirs ; do
1154 dirname=`echo $dir | sed -e s/target-//g`
a0c4f3a0 1155 if test $dir != . && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
252b5132 1156 configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
a0c4f3a0
DD
1157 if test -r $srcdir/$dirname/configure \
1158 || test -r $srcdir/$dirname/configure.in ; then
252b5132
RH
1159 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1160 true
1161 else
1162 notsupp="$notsupp $dir"
1163 fi
1164 fi
1165 fi
a0c4f3a0 1166 if test $dir != . && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
252b5132 1167 target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
a0c4f3a0
DD
1168 if test -r $srcdir/$dirname/configure \
1169 || test -r $srcdir/$dirname/configure.in ; then
252b5132
RH
1170 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1171 true
1172 else
1173 notsupp="$notsupp $dir"
1174 fi
1175 fi
1176 fi
1177done
1178
1179# Sometimes the tools are distributed with libiberty but with no other
1180# libraries. In that case, we don't want to build target-libiberty.
a0c4f3a0 1181if test -n "${target_configdirs}" ; then
252b5132
RH
1182 others=
1183 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
a0c4f3a0
DD
1184 if test "$i" != "libiberty" ; then
1185 if test -r $srcdir/$i/configure || test -r $srcdir/$i/configure.in ; then
252b5132
RH
1186 others=yes;
1187 break;
1188 fi
1189 fi
1190 done
a0c4f3a0 1191 if test -z "${others}" ; then
252b5132
RH
1192 target_configdirs=
1193 fi
1194fi
1195
1196# Deconfigure all subdirectories, in case we are changing the
1197# configuration from one where a subdirectory is supported to one where it
1198# is not.
a0c4f3a0 1199if test -z "${norecursion}" && test -n "${configdirs}" ; then
252b5132
RH
1200 for i in `echo ${configdirs} | sed -e s/target-//g` ; do
1201 rm -f $i/Makefile
1202 done
1203fi
a0c4f3a0 1204if test -z "${norecursion}" && test -n "${target_configdirs}" ; then
252b5132
RH
1205 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1206 rm -f ${target_subdir}/$i/Makefile
1207 done
1208fi
1209
a0a2c6c6
DD
1210# Quietly strip out all directories which aren't configurable in this tree.
1211# This relies on all configurable subdirectories being autoconfiscated, which
1212# is now the case.
1213configdirs_all="$configdirs"
1214configdirs=
1215for i in ${configdirs_all} ; do
1216 if test -f ${srcdir}/$i/configure ; then
1217 configdirs="${configdirs} $i"
1218 fi
1219done
1220target_configdirs_all="$target_configdirs"
1221target_configdirs=
1222for i in ${target_configdirs_all} ; do
1223 j=`echo $i | sed -e s/target-//g`
1224 if test -f ${srcdir}/$j/configure ; then
1225 target_configdirs="${target_configdirs} $i"
1226 fi
1227done
1228
252b5132
RH
1229# Produce a warning message for the subdirs we can't configure.
1230# This isn't especially interesting in the Cygnus tree, but in the individual
1231# FSF releases, it's important to let people know when their machine isn't
1232# supported by the one or two programs in a package.
1233
a0c4f3a0 1234if test -n "${notsupp}" && test -z "${norecursion}" ; then
252b5132
RH
1235 # If $appdirs is non-empty, at least one of those directories must still
1236 # be configured, or we error out. (E.g., if the gas release supports a
1237 # specified target in some subdirs but not the gas subdir, we shouldn't
1238 # pretend that all is well.)
a0c4f3a0 1239 if test -n "$appdirs" ; then
252b5132 1240 for dir in $appdirs ; do
a0c4f3a0 1241 if test -r $dir/Makefile.in ; then
252b5132
RH
1242 if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1243 appdirs=""
1244 break
1245 fi
1246 if echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1247 appdirs=""
1248 break
1249 fi
1250 fi
1251 done
a0c4f3a0 1252 if test -n "$appdirs" ; then
252b5132
RH
1253 echo "*** This configuration is not supported by this package." 1>&2
1254 exit 1
1255 fi
1256 fi
1257 # Okay, some application will build, or we don't care to check. Still
1258 # notify of subdirs not getting built.
1259 echo "*** This configuration is not supported in the following subdirectories:" 1>&2
1260 echo " ${notsupp}" 1>&2
1261 echo " (Any other directories should still work fine.)" 1>&2
1262fi
1263
1264# Set with_gnu_as and with_gnu_ld as appropriate.
1265#
1266# This is done by determining whether or not the appropriate directory
1267# is available, and by checking whether or not specific configurations
1268# have requested that this magic not happen.
1269#
1270# The command line options always override the explicit settings in
1271# configure.in, and the settings in configure.in override this magic.
1272#
1273# If the default for a toolchain is to use GNU as and ld, and you don't
1274# want to do that, then you should use the --without-gnu-as and
1275# --without-gnu-ld options for the configure script.
1276
a0c4f3a0
DD
1277if test x${use_gnu_as} = x ; then
1278 if test x${with_gnu_as} != xno && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && test -d ${srcdir}/${gasdir} ; then
252b5132
RH
1279 with_gnu_as=yes
1280 withoptions="$withoptions --with-gnu-as"
1281 fi
1282fi
1283
a0c4f3a0
DD
1284if test x${use_gnu_ld} = x ; then
1285 if test x${with_gnu_ld} != xno && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && test -d ${srcdir}/ld ; then
252b5132
RH
1286 with_gnu_ld=yes
1287 withoptions="$withoptions --with-gnu-ld"
1288 fi
1289fi
1290
1291# If using newlib, add --with-newlib to the withoptions so that gcc/configure
1292# can detect this case.
1293
a0c4f3a0 1294if test x${with_newlib} != xno && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && test -d ${srcdir}/newlib ; then
252b5132
RH
1295 with_newlib=yes
1296 withoptions="$withoptions --with-newlib"
1297fi
1298
252b5132 1299rm -f mt-frag
a0c4f3a0 1300if test -n "${target_makefile_frag}" ; then
252b5132
RH
1301 for f in ${target_makefile_frag}
1302 do
1303 cat ${srcdir}/$f >> mt-frag
1304 done
1305 target_makefile_frag=mt-frag
1306fi
1307
1308# post-target:
1309
1310# Make sure that the compiler is able to generate an executable. If it
1311# can't, we are probably in trouble. We don't care whether we can run the
1312# executable--we might be using a cross compiler--we only care whether it
1313# can be created. At this point the main configure script has set CC.
a0c4f3a0 1314we_are_ok=no
252b5132
RH
1315echo "int main () { return 0; }" > conftest.c
1316${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
a0c4f3a0
DD
1317if test $? = 0 ; then
1318 if test -s conftest || test -s conftest.exe ; then
1319 we_are_ok=yes
1320 fi
1321fi
1322case $we_are_ok in
1323 no)
1324 echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
1325 echo 1>&2 "*** You must set the environment variable CC to a working compiler."
1326 rm -f conftest*
1327 exit 1
1328 ;;
1329esac
252b5132
RH
1330rm -f conftest*
1331
1332# The Solaris /usr/ucb/cc compiler does not appear to work.
1333case "${host}" in
1334 sparc-sun-solaris2*)
1335 CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
a0c4f3a0 1336 if test "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ; then
252b5132 1337 could_use=
a0c4f3a0
DD
1338 test -d /opt/SUNWspro/bin && could_use="/opt/SUNWspro/bin"
1339 if test -d /opt/cygnus/bin ; then
1340 if test "$could_use" = "" ; then
252b5132
RH
1341 could_use="/opt/cygnus/bin"
1342 else
1343 could_use="$could_use or /opt/cygnus/bin"
1344 fi
1345 fi
a0c4f3a0 1346 if test "$could_use" = "" ; then
252b5132
RH
1347 echo "Warning: compilation may fail because you're using"
1348 echo "/usr/ucb/cc. You should change your PATH or CC "
1349 echo "variable and rerun configure."
1350 else
1351 echo "Warning: compilation may fail because you're using"
1352 echo "/usr/ucb/cc, when you should use the C compiler from"
1353 echo "$could_use. You should change your"
1354 echo "PATH or CC variable and rerun configure."
1355 fi
1356 fi
1357 ;;
1358esac
1359
dbf93899
DD
1360# If we're building libgcj and we're using the Solaris 2.8 linker,
1361# then we check for a known problem.
1362if test "x${libgcj}" = x && test "${with_gnu_ld}" != yes \
1363 && test "${is_cross_compiler}" = no; then
1364
1365 case "${host}" in
1366 sparc-*-solaris2.8)
1367 if test "$libdir" = '${exec_prefix}/lib';then
1368 if test "$exec_prefix" = '$(prefix)'; then
1369 tlibdir="$prefix/lib"
1370 else
1371 tlibdir="$exec_prefix/lib"
1372 fi
1373 else
1374 tlibdir="$libdir"
1375 fi
1376 if test -f $tlibdir/libgcj.la; then
1377 echo "*** You've already installed libgcj in $tlibdir." 1>&2
1378 echo " This causes problems when rebuilding libgcj with the Solaris 2.8 linker." 1>&2
1379 echo " Either disable the libgcj build, or remove the" 1>&2
1380 echo " already-installed libgcj files." 1>&2
1381 exit 1
1382 fi
1383 ;;
1384 esac
1385fi
1386
252b5132
RH
1387# If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
1388# binutils tools will find libbfd.so.
a0c4f3a0 1389if test "${shared}" = "yes" ; then
252b5132
RH
1390 sed -e 's/^SET_LIB_PATH[ ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
1391 Makefile > Makefile.tem
1392 rm -f Makefile
1393 mv -f Makefile.tem Makefile
1394
1395 case "${host}" in
1396 *-*-hpux*)
1397 sed -e 's/^RPATH_ENVVAR[ ]*=.*$/RPATH_ENVVAR = SHLIB_PATH/' \
1398 Makefile > Makefile.tem
1399 rm -f Makefile
1400 mv -f Makefile.tem Makefile
1401 ;;
1402 esac
1403fi
1404
49b7683b
DD
1405# Record target_configdirs and the configure arguments for target and
1406# build configuration in Makefile.
252b5132
RH
1407target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
1408targargs=`echo "${arguments}" | \
1409 sed -e 's/--no[^ ]*//' \
1410 -e 's/--cache[a-z-]*=[^ ]*//' \
1411 -e 's/--ho[a-z-]*=[^ ]*//' \
1412 -e 's/--bu[a-z-]*=[^ ]*//' \
1413 -e 's/--ta[a-z-]*=[^ ]*//'`
1414
49b7683b
DD
1415# For the build-side libraries, we just need to pretend we're native,
1416# and not use the same cache file. Multilibs are neither needed nor
1417# desired.
1418buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${targargs}"
1419
252b5132
RH
1420# Passing a --with-cross-host argument lets the target libraries know
1421# whether they are being built with a cross-compiler or being built
1422# native. However, it would be better to use other mechanisms to make the
1423# sorts of decisions they want to make on this basis. Please consider
1424# this option to be deprecated. FIXME.
a0c4f3a0 1425if test x${is_cross_compiler} = xyes ; then
252b5132
RH
1426 targargs="--with-cross-host=${host_alias} ${targargs}"
1427fi
1428
1429# Default to --enable-multilib.
a0c4f3a0 1430if test x${enable_multilib} = x ; then
252b5132
RH
1431 targargs="--enable-multilib ${targargs}"
1432fi
1433
1434# Pass --with-newlib if appropriate. Note that target_configdirs has
1435# changed from the earlier setting of with_newlib.
a0c4f3a0 1436if test x${with_newlib} != xno && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && test -d ${srcdir}/newlib ; then
252b5132
RH
1437 targargs="--with-newlib ${targargs}"
1438fi
1439
49b7683b
DD
1440# Pass the appropriate --host, --build, and --cache-file arguments.
1441targargs="--cache-file=../config.cache --host=${target_alias} --build=${build_alias} ${targargs}"
1442
252b5132
RH
1443# provide a proper gxx_include_dir.
1444# Note, if you change the default, make sure to fix both here and in
75205f78 1445# the gcc and libstdc++-v3 subdirectories.
252b5132
RH
1446# Check whether --with-gxx-include-dir or --without-gxx-include-dir was given.
1447gxx_include_dir=
1448if test -n "${with_gxx_include_dir}"; then
1449 case "${with_gxx_include_dir}" in
1450 yes )
1451 echo "configure.in: error: bad value ${withval} given for g++ include directory" 1>&2
1452 exit 1
1453 ;;
1454 no )
1455 ;;
1456 * )
1457 gxx_include_dir=${with_gxx_include_dir}
1458 ;;
1459 esac
1460fi
1461if test x${gxx_include_dir} = x; then
1462 if test x${enable_version_specific_runtime_libs} = xyes; then
1463 gxx_include_dir='${libsubdir}/include/g++'
1464 else
1465 . ${topsrcdir}/config.if
75205f78 1466 gxx_include_dir='${prefix}/include/${libstdcxx_incdir}'
252b5132
RH
1467 fi
1468else
1469 gxx_include_dir=${gxx_include_dir}
1470fi
1471
9e449d3e 1472FLAGS_FOR_TARGET=
9e449d3e
AO
1473case " $skipdirs " in
1474*" target-newlib "*) ;;
1475*)
75205f78
DD
1476 case " $target_configdirs " in
1477 *" newlib "*)
1478 case " $targargs " in
1479 *" --with-newlib "*)
9e449d3e 1480 case "$target" in
63266560 1481 *-cygwin*)
9e449d3e
AO
1482 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/$(TARGET_SUBDIR)/winsup -L$$r/$(TARGET_SUBDIR)/winsup/cygwin -L$$r/$(TARGET_SUBDIR)/winsup/w32api/lib -isystem $$s/winsup/include -isystem $$s/winsup/cygwin/include -isystem $$s/winsup/w32api/include -isystem $$s/newlib/libc/sys/cygwin -isystem $$s/newlib/libc/sys/cygwin32' ;;
1483 esac
1484
7450026c
AO
1485 # If we're not building GCC, don't discard standard headers.
1486 if test -d ${topsrcdir}/gcc; then
63266560 1487 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -nostdinc'
7450026c
AO
1488
1489 if test "${build}" != "${host}"; then
1490 # On Canadian crosses, CC_FOR_TARGET will have already been set
1491 # by `configure', so we won't have an opportunity to add -Bgcc/
1492 # to it. This is right: we don't want to search that directory
1493 # for binaries, but we want the header files in there, so add
1494 # them explicitly.
1495 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -isystem $$r/gcc/include'
1496
1497 # Someone might think of using the pre-installed headers on
1498 # Canadian crosses, in case the installed compiler is not fully
1499 # compatible with the compiler being built. In this case, it
1500 # would be better to flag an error than risking having
1501 # incompatible object files being constructed. We can't
1502 # guarantee that an error will be flagged, but let's hope the
1503 # compiler will do it, when presented with incompatible header
1504 # files.
1505 fi
63266560
DD
1506 fi
1507
0a0d0041
TF
1508 case "${target}-${is_cross_compiler}" in
1509 i[3456]86-pc-linux*-no)
1510 # Here host == target, so we don't need to build gcc,
1511 # so we don't want to discard standard headers.
1512 FLAGS_FOR_TARGET=`echo " $FLAGS_FOR_TARGET " | sed -e 's/ -nostdinc / /'`
1513 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/'
1514 ;;
1515 *)
1516 # If we're building newlib, use its generic headers last, but search
1517 # for any libc-related directories first (so make it the last -B
1518 # switch).
1519 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/ -isystem $$r/$(TARGET_SUBDIR)/newlib/targ-include -isystem $$s/newlib/libc/include'
1520 ;;
1521 esac
9e449d3e 1522 ;;
75205f78
DD
1523 esac
1524 ;;
1525 esac
1526 ;;
9e449d3e 1527esac
63266560
DD
1528
1529# On Canadian crosses, we'll be searching the right directories for
1530# the previously-installed cross compiler, so don't bother to add
1531# flags for directories within the install tree of the compiler
1532# being built; programs in there won't even run.
1533if test "${build}" = "${host}" && test -d ${topsrcdir}/gcc; then
9e449d3e
AO
1534 # Search for pre-installed headers if nothing else fits.
1535 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$(build_tooldir)/bin/ -B$(build_tooldir)/lib/ -isystem $(build_tooldir)/include'
1536fi
63266560 1537
9e449d3e
AO
1538if test "x${use_gnu_ld}" = x && test "x${with_gnu_ld}" != xno &&
1539 echo " ${configdirs} " | grep " ld " > /dev/null &&
1540 test -d ${srcdir}/ld; then
1541 # Arrange for us to find uninstalled linker scripts.
1542 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/ld'
1543fi
1544
63266560
DD
1545if test "x${CC_FOR_TARGET+set}" = xset; then
1546 :
1547elif test -d ${topsrcdir}/gcc; then
98fbe43f 1548 CC_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/'
9e449d3e
AO
1549elif test "$host" = "$target"; then
1550 CC_FOR_TARGET='$(CC)'
1551else
1552 CC_FOR_TARGET=`echo gcc | sed -e 's/x/x/' ${program_transform_name}`
1553fi
63266560
DD
1554# On Canadian crosses, configure reads CC_FOR_TARGET from Makefile,
1555# if Makefile exists. Prevent $(FLAGS_FOR_TARGET) from being duplicated.
1556case $CC_FOR_TARGET in
1557*' $(FLAGS_FOR_TARGET)') ;;
1558*) CC_FOR_TARGET=$CC_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1559esac
9e449d3e 1560
75205f78
DD
1561if test "x${GCJ_FOR_TARGET+set}" = xset; then
1562 :
1563elif test -d ${topsrcdir}/gcc; then
1564 GCJ_FOR_TARGET='$$r/gcc/gcj -B$$r/gcc/'
1565elif test "$host" = "$target"; then
1566 GCJ_FOR_TARGET='gcj'
1567else
1568 GCJ_FOR_TARGET=`echo gcj | sed -e 's/x/x/' ${program_transform_name}`
1569fi
1570case $GCJ_FOR_TARGET in
1571*' $(FLAGS_FOR_TARGET)') ;;
1572*) GCJ_FOR_TARGET=$GCJ_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1573esac
1574
63266560
DD
1575if test "x${CXX_FOR_TARGET+set}" = xset; then
1576 :
98fbe43f 1577elif test -d ${topsrcdir}/gcc; then
2e8357fc
AO
1578 # We add -shared-libgcc to CXX_FOR_TARGET whenever we use xgcc instead
1579 # of g++ for linking C++ or Java, because g++ has -shared-libgcc by
1580 # default whereas gcc does not.
1581 CXX_FOR_TARGET='$$r/gcc/`case $$dir in libstdc++-v3 | libjava) echo xgcc -shared-libgcc ;; *) echo g++ ;; esac` -B$$r/gcc/ -nostdinc++ '$libstdcxx_flags
9e449d3e
AO
1582elif test "$host" = "$target"; then
1583 CXX_FOR_TARGET='$(CXX)'
1584else
1585 CXX_FOR_TARGET=`echo c++ | sed -e 's/x/x/' ${program_transform_name}`
1586fi
63266560
DD
1587case $CXX_FOR_TARGET in
1588*' $(FLAGS_FOR_TARGET)') ;;
1589*) CXX_FOR_TARGET=$CXX_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1590esac
dec0cb0c
AO
1591qCXX_FOR_TARGET=`echo "$CXX_FOR_TARGET" | sed 's,[&%],\\\&,g'`
1592
1593# We want to defer the evaluation of `cmd`s and shell variables in
1594# CXX_FOR_TARGET when recursing in the top-level Makefile, such as for
1595# bootstrap. We'll enclose CXX_FOR_TARGET_FOR_RECURSIVE_MAKE in single
1596# quotes, but we still have to duplicate `$'s so that shell variables
1597# can be expanded by the nested make as shell variables, not as make
1598# macros.
1599qqCXX_FOR_TARGET=`echo "$qCXX_FOR_TARGET" | sed -e 's,[$][$],$$$$,g'`
9e449d3e 1600
75205f78
DD
1601sedtemp=sed.$$
1602cat >$sedtemp <<EOF
1603s:^TARGET_CONFIGDIRS[ ]*=.*$:TARGET_CONFIGDIRS = ${target_configdirs}:
1604s%^TARGET_CONFIGARGS[ ]*=.*$%TARGET_CONFIGARGS = ${targargs}%
1605s%^FLAGS_FOR_TARGET[ ]*=.*$%FLAGS_FOR_TARGET = ${FLAGS_FOR_TARGET}%
1606s%^CC_FOR_TARGET[ ]*=.*$%CC_FOR_TARGET = ${CC_FOR_TARGET}%
75205f78
DD
1607s%^GCJ_FOR_TARGET[ ]*=.*$%GCJ_FOR_TARGET = ${GCJ_FOR_TARGET}%
1608s%^CXX_FOR_TARGET[ ]*=.*$%CXX_FOR_TARGET = ${qCXX_FOR_TARGET}%
1609s%^CXX_FOR_TARGET_FOR_RECURSIVE_MAKE[ ]*=.*$%CXX_FOR_TARGET_FOR_RECURSIVE_MAKE = ${qqCXX_FOR_TARGET}%
1610s%^TARGET_SUBDIR[ ]*=.*$%TARGET_SUBDIR = ${target_subdir}%
1611s%^BUILD_SUBDIR[ ]*=.*$%BUILD_SUBDIR = ${build_subdir}%
1612s%^BUILD_CONFIGARGS[ ]*=.*$%BUILD_CONFIGARGS = ${buildargs}%
1613s%^gxx_include_dir[ ]*=.*$%gxx_include_dir=${gxx_include_dir}%
1614EOF
1615sed -f $sedtemp Makefile > Makefile.tem
1616rm -f Makefile $sedtemp
252b5132
RH
1617mv -f Makefile.tem Makefile
1618
1619#
1620# Local Variables:
1621# fill-column: 131
1622# End:
1623#
This page took 0.185338 seconds and 4 git commands to generate.